This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76764 - xscreensaver loops and slows CPU, console, and display
xscreensaver loops and slows CPU, console, and display
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-25 19:41 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 13:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-25 19:41:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
After upgrading from Red Hat 7.1 to 8.0 on my 166 mHz Pentium II, menu display
became progressively slower; this was accompanied by prolonged blanking of the
screen during refresh, sometimes with the screen saver appearing for a few
seconds before refresh succeeded.

Also, I noted that the capslock light went on 2-3 seconds after the capslock key
was pressed on one of these occasions.

The problem progressed rapidly if a lot of windows were opened an closed during
a session, especially using Open Office; but it also progressed slowly while the
system was left on overnight.

Rebooting the machine temporarily resolves the slowdown.

Others with faster machines have reported to me that they also see a slowdown,
or that xcreensaver takes up to 50% of cpu time, and disabling the screensaver
resolves the performance issue.

The the problem was solved disabling the screen saver.

During this time, I noted that the power management function of the screensaver
applet (xscreensaver-demo -crapplet) cannot be made to function.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Hat-> Preferences -> screensaver -> random screensaver
2. Do some work
3. Reboot before the system becomes non-functional
	

Actual Results:  Same thing

Expected Results:  Proper function

Additional info:
Comment 1 Bill Nottingham 2002-11-11 15:45:30 EST
Are you using GL-using screensavers?
Comment 2 Need Real Name 2002-11-11 16:23:55 EST
I'm using the screensavers out of the box; nothing added or installed otherwise;
the system began as a 5.x, then 6.x, then 7.1 (which was, I think, a complete
reinstall), and now upgraded to 8.0.  Screensaver and dpms worked with 7.1

My habit has been to choose "random screensaver" and to select dpms to put the
screen to sleep after 1 minute of inactivity.

I do recall that there was a problem with the random screensaver 7.2 on my IBM
Thinkpad T23 causig a problem with display freezing (as I recollect) that was
solved by selecting a single screensaver display.  dpms works properly there.
Comment 3 Ray Strode [halfline] 2004-11-09 13:54:48 EST
Hi Dan,

Given the age of this report and the lack of activity, it seems very
likely that this bug has been corrected.  I'm going to close this bug,
but if you see problems with FC3 or a recent version of xscreensaver
or X, please feel free to reopen.
Comment 4 Need Real Name 2004-11-09 14:32:36 EST
Correct.  I have not seen this problem with FC1 

Note You need to log in before you can comment on or make changes to this bug.